Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.datepicker.client
Class CellGridImpl<V>

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.HTMLTable
                      com.google.gwt.user.client.ui.Grid
                          com.google.gwt.user.datepicker.client.CellGridImpl<V>

Type Parameters:
  `V` - type of value in grid.

All Implemented Interfaces:
  HasAllDragAndDropHandlers, HasClickHandlers, HasDoubleClickHandlers, HasDragEndHandlers, HasDragEnterHandlers, HasDragHandlers, HasDragLeaveHandlers, HasDragOverHandlers, HasDragStartHandlers, HasDropHandlers, HasAttachHandlers, HasHandlers, EventListener, HasVisibility, HasWidgets, HasWidgets.ForIsWidget, IsWidget, SourcesTableEvents, java.lang.Iterable<Widget>

Direct Known Subclasses:
  DefaultCalendarView.CellGrid

    abstract class CellGridImpl<V>

extends Grid

Highlighting, selectable cell grid. Used to help construct the default calendar view.

Nested Class Summary
`(package private) class` | `CellGridImpl.Cell`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.HTMLTable
`HTMLTable.CellFormatter, HTMLTable.ColumnFormatter, HTMLTable.RowFormatter`

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets
`HasWidgets.ForIsWidget`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.Grid
`numColumns, numRows`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`protected` | `CellGridImpl()`

Method Summary
`CellGridImpl.Cell` | `getCell(Element element)`
`CellGridImpl.Cell` | `getCell(Event e)`
`CellGridImpl.Cell` | `getCell(int i)`
`java.util.Iterator` | `getCells()`
`CellGridImpl.Cell` | `getHighlightedCell()`
`int` | `getNumCells()`
`CellGridImpl.Cell` | `getSelectedCell()`
`V` | `getSelectedValue()`
`V` | `getValue(CellGridImpl.Cell cell)`
`void` | `onBrowserEvent(Event event)` Fired whenever a browser event is received.
`protected abstract void` | `onSelected(CellGridImpl.Cell lastSelected, CellGridImpl.Cell cell)`
`void` | `onUnload()` This method is called immediately before a widget will be detached from the browser's document.
`void` | `setHighlighted(CellGridImpl.Cell nextHighlighted)`
`void` | `setSelected(CellGridImpl.Cell cell)`

Methods inherited from class com.google.gwt.user.client.ui.Grid
`clearCell, createCell, getCellCount, getColumnCount, getRowCount, insertRow, prepareCell, prepareColumn, prepareRow, removeRow, resize, resizeColumns, resizeRows`

Methods inherited from class com.google.gwt.user.client.ui.HTMLTable
`addClickHandler, addDoubleClickHandler, addDragEndHandler, addDragEnterHandler, addDragHandler, addDragLeaveHandler, addDragOverHandler, addDragStartHandler, addDropHandler, addTableListener, checkCellBounds, checkRowBounds, clear, clear, getBodyElement, getCellForEvent, getCellFormatter, getCellPadding, getCellSpacing, getColumnFormatter, getDOMCellCount, getDOMCellCount, getDOMCellCount, getDOMRowCount, getDOMRowCount, getDOMRowCount, getEventTargetCell, getHTML, getRowFormatter, getText, getWidget, insertCell, insertCells, internalClearCell, internalClearCell, isCellPresent, iterator, onEnsureDebugId, remove, removeCell, removeTableListener, setBorderWidth, setCellFormatter, setCellPadding, setCellSpacing, setColumnFormatter, setHTML, setHTML, setRowFormatter, setText, setWidget, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`add, add, adopt, doAttachChildren, doDetachChildren, orphan, remove`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onDetach, onLoad, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Constructor Detail

### CellGridImpl

    protected CellGridImpl()

Method Detail

### getCell

    public CellGridImpl.Cell getCell(Element element)

### getCell

    public CellGridImpl.Cell getCell(Event e)

### getCell

    public CellGridImpl.Cell getCell(int i)

### getCells

    public java.util.Iterator getCells()

### getHighlightedCell

    public CellGridImpl.Cell getHighlightedCell()

### getNumCells

    public int getNumCells()

### getSelectedCell

    public CellGridImpl.Cell getSelectedCell()

### getSelectedValue

    public V getSelectedValue()

### getValue

    public V getValue(CellGridImpl.Cell cell)

### onBrowserEvent

    public void onBrowserEvent(Event event)

  Description copied from interface: `EventListener`
  Fired whenever a browser event is received.

  Specified by:
    `onBrowserEvent` in interface `EventListener`
  Overrides:
    `onBrowserEvent` in class `Widget`
  Parameters:
    `event` - the event received

### onUnload

    public void onUnload()

  Description copied from class: `Widget`
  This method is called immediately before a widget will be detached from the browser's document.

  Overrides:
    `onUnload` in class `Widget`

### setHighlighted

    public final void setHighlighted(CellGridImpl.Cell nextHighlighted)

### setSelected

    public final void setSelected(CellGridImpl.Cell cell)

### onSelected

    protected abstract void onSelected(CellGridImpl.Cell lastSelected,
                                       CellGridImpl.Cell cell)

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD